workflow:
  rules:
    - if: '$CI_MERGE_REQUEST_IID'
    - if: '$CI_COMMIT_BRANCH && $CI_COMMIT_REF_PROTECTED == "true"'
    - if: '$CI_COMMIT_TAG'
    - if: '$CI_PIPELINE_SOURCE == "schedule"'

stages:
  - build

build_and_push_image:
  image: quay.io/podman/stable:latest
  stage: build
  before_script:
    - podman run --rm --privileged docker.io/multiarch/qemu-user-static --reset -p yes
    - podman login -u ${CI_REGISTRY_USER} -p ${CI_REGISTRY_PASSWORD} ${CI_REGISTRY}
  script:
    - |
      if [ -z "${CI_MERGE_REQUEST_IID}" ]; then
        TAG=$CI_COMMIT_SHORT_SHA-$(date +"%+4Y%m%dT%H%M")
      else
        TAG=${CI_MERGE_REQUEST_SOURCE_BRANCH_NAME//\//-}-dev
      fi
    - podman build --platform linux/amd64,linux/arm64 --manifest $CI_REGISTRY_IMAGE:$TAG .
    - podman manifest push $CI_REGISTRY_IMAGE:$TAG
